# Get a managed memory store by resource name

Launch stage: Beta

`GET /api/2.0/agents/{name=memory-stores/*}`

Retrieves a managed memory store by resource name. Returns `NOT_FOUND` when the store does not
 exist in the caller's workspace.

API scopes: agent-kit

## Path parameters

- `name` (string, required)
  Resource name in the form `memory-stores/{managed_memory_store_id}`.

## Returns

Returns the ManagedMemoryStore object.

## Response

```json
{
  "name": "string",
  "display_name": "string",
  "workspace_id": 0,
  "storage_backend": {
    "backend_type": "STORAGE_BACKEND_TYPE_LAKEBASE",
    "backend_id": "string"
  },
  "owner_user_id": "string",
  "creator_user_id": "string",
  "description": "string",
  "create_time": "string",
  "update_time": "string"
}
```

